Bug 178575 - graphics/py-gd: Update MASTER_SITES
Summary: graphics/py-gd: Update MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-13 19:10 UTC by tkato432
Modified: 2013-05-20 10:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.04 KB, patch)
2013-05-13 19:10 UTC, tkato432
no flags Details | Diff
graphics_py-gd.diff (2.71 KB, patch)
2013-05-14 18:58 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-05-13 18:55:08 UTC
>Number:         178575
>Category:       ports
>Synopsis:       graphics/py-gd: Update MASTER_SITES
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Mon May 13 18:10:02 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     KATO Tsuguru
>Release:        FreeBSD 7.4-RELEASE-p11 i386
>Organization:
>Environment:
>Description:
- Update MASTER_SITES
- Support PORTEXAMPLES

>How-To-Repeat:
>Fix:

diff -urN /usr/ports/graphics/py-gd/Makefile graphics/py-gd/Makefile
--- /usr/ports/graphics/py-gd/Makefile	2012-11-08 09:38:44.000000000 +0900
+++ graphics/py-gd/Makefile	2013-05-14 00:00:49.000000000 +0900
@@ -1,47 +1,46 @@
-# New ports collection makefile for:	py-gd
-# Date created:		23 December 2001
-# Whom:			Hye-Shik Chang <perky@fallin.lv>
-#
+# Created by: Hye-Shik Chang <perky@fallin.lv>
 # $FreeBSD: head/graphics/py-gd/Makefile 300896 2012-07-14 13:54:48Z beat $
 
 PORTNAME=	gd
 PORTVERSION=	0.56
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	graphics python
-MASTER_SITES=	http://newcenturycomputers.net/projects/download.cgi/
+MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 DISTNAME=	gdmodule-${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Python interface to the GD library
 
-LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd
+LIB_DEPENDS=	gd:${PORTSDIR}/graphics/gd
+
+OPTIONS_DEFINE=	EXAMPLES
 
-.if !defined(WITHOUT_X11)
-USE_XORG=	xpm
-.endif
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 USE_PYTHON_PREFIX=	yes
 PYDISTUTILS_PKGNAME=	gdmodule
-DISABLE_SIZE=	yes
 PYSETUP=	Setup.py
-EXAMPLESDIR=	${PREFIX}/share/examples/${PKGNAMEPREFIX}${PORTNAME}
+
+EXAMPLESDIR=	${PREFIX}/share/examples/py-${PORTNAME}
+
+.include <bsd.port.options.mk>
 
 post-patch:
-	${REINPLACE_CMD} -e 's,/usr/local,${LOCALBASE},g' \
-		-e 's,/usr/X11R6,${LOCALBASE},g' \
-		-e 's,/usr/include/X11,${LOCALBASE}/include,g' \
+	@${REINPLACE_CMD} -e \
+		'/\/usr\/lib/d ; \
+		 /\/usr\/include/d ; \
+		 /\/usr\/X11R6/d ; \
+		 s|/opt/gnome|${LOCALBASE}| ; \
+		 /"jpeg", "png", "gif", "z",/d ; \
+		 /"X11", "Xpm",/d ; \
+		 /"ttf", "freetype",/d' \
 		${WRKSRC}/${PYSETUP}
-.if defined(WITHOUT_X11)
-	${REINPLACE_CMD} -e 's/"X11", "Xpm",//' \
-		-e 's/"ttf", "freetype",//' ${WRKSRC}/${PYSETUP}
-.endif
 
 post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/gddemo.py ${EXAMPLESDIR}
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} gddemo.py ${EXAMPLESDIR})
 .endif
 
 .include <bsd.port.mk>
>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 tkato432 2013-05-13 19:10:02 UTC
- Update MASTER_SITES
- Support PORTEXAMPLES
Comment 2 Edwin Groothuis freebsd_committer 2013-05-13 19:10:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2013-05-14 17:02:42 UTC
State Changed
From-To: open->feedback

the checksum is wrong; could u please have a look.
Comment 4 tkato432 2013-05-14 18:58:15 UTC
Here is the corrected patch.
Comment 5 dfilter service freebsd_committer 2013-05-20 09:52:31 UTC
Author: miwi
Date: Mon May 20 08:52:23 2013
New Revision: 318584
URL: http://svnweb.freebsd.org/changeset/ports/318584

Log:
  - Update MASTER_SITES
  - Support PORTEXAMPLES
  
  PR:		178575
  Submitted by:	Ports Fury

Modified:
  head/graphics/py-gd/Makefile   (contents, props changed)
  head/graphics/py-gd/distinfo   (contents, props changed)
  head/graphics/py-gd/pkg-plist   (contents, props changed)

Modified: head/graphics/py-gd/Makefile
==============================================================================
--- head/graphics/py-gd/Makefile	Mon May 20 08:35:19 2013	(r318583)
+++ head/graphics/py-gd/Makefile	Mon May 20 08:52:23 2013	(r318584)
@@ -1,47 +1,34 @@
-# New ports collection makefile for:	py-gd
-# Date created:		23 December 2001
-# Whom:			Hye-Shik Chang <perky@fallin.lv>
-#
+# Created by: Hye-Shik Chang <perky@fallin.lv>
 # $FreeBSD$
 
 PORTNAME=	gd
 PORTVERSION=	0.56
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	graphics python
-MASTER_SITES=	http://newcenturycomputers.net/projects/download.cgi/
+MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 DISTNAME=	gdmodule-${PORTVERSION}
+DIST_SUBDIR=	repacked
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Python interface to the GD library
 
-LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd
+LIB_DEPENDS=	gd:${PORTSDIR}/graphics/gd
 
-.if !defined(WITHOUT_X11)
-USE_XORG=	xpm
-.endif
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 USE_PYTHON_PREFIX=	yes
 PYDISTUTILS_PKGNAME=	gdmodule
-DISABLE_SIZE=	yes
-PYSETUP=	Setup.py
-EXAMPLESDIR=	${PREFIX}/share/examples/${PKGNAMEPREFIX}${PORTNAME}
 
 post-patch:
-	${REINPLACE_CMD} -e 's,/usr/local,${LOCALBASE},g' \
-		-e 's,/usr/X11R6,${LOCALBASE},g' \
-		-e 's,/usr/include/X11,${LOCALBASE}/include,g' \
+	@${REINPLACE_CMD} -e \
+		'/\/usr\/lib/d ; \
+		 /\/usr\/include/d ; \
+		 /\/usr\/X11R6/d ; \
+		 s|/opt/gnome|${LOCALBASE}| ; \
+		 /"jpeg", "png", "gif", "z",/d ; \
+		 /"X11", "Xpm",/d ; \
+		 /"ttf", "freetype",/d' \
 		${WRKSRC}/${PYSETUP}
-.if defined(WITHOUT_X11)
-	${REINPLACE_CMD} -e 's/"X11", "Xpm",//' \
-		-e 's/"ttf", "freetype",//' ${WRKSRC}/${PYSETUP}
-.endif
-
-post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/gddemo.py ${EXAMPLESDIR}
-.endif
 
 .include <bsd.port.mk>

Modified: head/graphics/py-gd/distinfo
==============================================================================
--- head/graphics/py-gd/distinfo	Mon May 20 08:35:19 2013	(r318583)
+++ head/graphics/py-gd/distinfo	Mon May 20 08:52:23 2013	(r318584)
@@ -1,2 +1,2 @@
-SHA256 (gdmodule-0.56.tar.gz) = a3a2fd6378e32f10a348c4db428a91e2c1adc28de6ec35c0619a52e379f4edec
-SIZE (gdmodule-0.56.tar.gz) = 48748
+SHA256 (repacked/gdmodule-0.56.tar.gz) = 0ff4fe3cbb78c51102b6cf456d5c7b88c2452bb8a6cbd7ed50929b2a8774c7b9
+SIZE (repacked/gdmodule-0.56.tar.gz) = 15042

Modified: head/graphics/py-gd/pkg-plist
==============================================================================
--- head/graphics/py-gd/pkg-plist	Mon May 20 08:35:19 2013	(r318583)
+++ head/graphics/py-gd/pkg-plist	Mon May 20 08:52:23 2013	(r318584)
@@ -2,5 +2,3 @@
 %%PYTHON_SITELIBDIR%%/gd.py
 %%PYTHON_SITELIBDIR%%/gd.pyc
 %%PYTHON_SITELIBDIR%%/gd.pyo
-%%PORTDOCS%%%%EXAMPLESDIR%%/gddemo.py
-%%PORTDOCS%%@dirrm %%EXAMPLESDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2013-05-20 09:52:37 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!